{

  networking = {
    hostName = "nixos-laptop";
    interfaces.enp7s0 = {
      ipv4.addresses = [
        {
          address = "192.168.0.41";
          prefixLength = 24;
        }
      ];
    };
    defaultGateway = "192.168.0.1";
    nameservers = [ "192.168.0.1" "1.1.1.1" ];
    networkmanager.wifi.powersave = true;
  };

  services = {
    auto-cpufreq = {
      enable = true;
      settings = {
        battery = {
          governor = "powersave";
          turbo = "never";
        };
        charger = {
          governor = "performance";
          turbo = "auto";
        };
      };
    };
    # fwupdmgr update (bios updates)
    fwupd.enable = true;
    thermald.enable = true;
  };

  powerManagement.powertop.enable = true;
  
  system.stateVersion = "24.11";
}